# Dirty Longwave IR Window - Band 15

According to Lindstrom et al. [1], the absorption and re-emission of water vapor, especially in the lower troposphere, mildly cools down most of the non-cloud brightness temperatures in the 12.3 µm band (Band 15) when compared to the other infrared window channels. This means that the more water vapor present, the greater the brightness temperature difference will be.

### Appearance

Compared to 10.3 µm, the 12.3 µm window images will be warmer (mostly yellow, a little green in the enhancement) "because of the blowing dust that is present Lindstrom" et al. [1].

![Scale](lut/cal/abi_ir_11-15.png)

### Limitations

As with the 11.2 µm, water vapor in the 12.3 µm window absorbs atmospheric energy (which will be subsequently re-emitted from higher and cooler temperatures. Therefore, surface or near-surface brightness temperatures will be cooler than observed by "on ground" thermometers" "by an amount that is a function of the amount of moisture in the atmosphere" Lindstrom et al. [1].

The effects of water vapor absorption are greater than on 11.2 µm (and thus, 10.3 µm) window.

Furthermore, the 10.3 µm is preferred to the 12.3 µm "for the monitoring of simple atmospheric phenomena" Lindstrom et al. [1].

### References

1. S. Lindstrom, T. Schmit and J. Gerth "Band 15 - ABI Quick Information Guide", UW-Madison CIMSS/NOAA, Aug. 2017, https://cimss.ssec.wisc.edu/goes/OCLOFactSheetPDFs/ABIQuickGuide_Band15.pdf. [View Article](https://cimss.ssec.wisc.edu/goes/OCLOFactSheetPDFs/ABIQuickGuide_Band15.pdf)
